<?php
   
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
?>


<html>
<head>
<script language="JavaScript1.2" type="text/javascript">
function cambiaetiq()
{
	if (document.f1.filtro.selectedIndex == 0)
	document.getElementById("labfil").innerHTML = "Palabra a buscar: ";
	else
	document.getElementById("labfil").innerHTML = document.f1.filtro[document.f1.filtro.selectedIndex].innerHTML + ':';
	document.f1.busq.select();
}

function CadenaVacia(cadena) {
if (cadena.length==0){
	return true;
	}
else {
	return false;
	}
}

function CadenaVaciaBlancos(cadena) {
var salida='';
for (var i=0;i<cadena.length;i++) {
	if (cadena.substring(i,i+1)!=' ')
		salida=salida+cadena.substring(i,i+1);
	}
if (salida.length==0){
	return true;
	}
else {
	return false;
	}
}

function valida(e)
{
	if (CadenaVaciaBlancos(e.busq.value)){
 	alert("Escribe algo para buscarlo por favor");
 	e.busq.select();
 	return false;
	}
}
</script>
</head>
 <body onLoad="document.f1.busq.select();">
  <form name="f1" action="busqrfcAd.php" method="post">	
 	<table border="0" width="500" height="400" align="center" style="background: url(logotransp2.gif); padding-top:50">
	<tr height="80"><td align="center"><label style="color:#5C3C12; font-size:28px; font-weight:bold">BUSCAR USUARIO</tr>
	<tr height="40"><td align="center"> Filtro: 
					<select name="filtro" onChange="cambiaetiq();">
					<option value="0"> Ninguno</option>
					<option value="rfc"> RFC</option>
                    <option value="referencia"> referencia</option>
					<option value="nombre"> Nombre</option>
					<option value="appat"> Apellido Paterno</option>
					<option value="apmat"> Apellido Materno</option>
					<option value="ciudad"> Ciudad</option>
					</select>  </tr>
	<tr height="40">
	<td align="center"><label id="labfil" style="color:#5C3C12"> Palabra a buscar: </label>&nbsp;<input type="text" size="20" maxlength="20" name="busq" value="" style="font-family: Times New Roman;text-transform:uppercase;"></td>
	</tr>
	<tr height="80"><td align="center" valign="middle"><input type="submit" value="Buscar" onClick="return valida(this.form)"></tr>
	<tr><td></tr>
	</table>
  </form>
 </body>
</html>